import { observer } from 'mobx-react-lite'
import React, { FC } from 'react'
import { ActivationStore } from 'stores/ActivationStore'
import { ActivateStarter } from './pages/activate'
import { Creation } from './pages/creation'

export const Activate: FC = observer(() => {
	const { code } = ActivationStore.instance()
	return (
		<>
			{!code ? <ActivateStarter /> : <Creation />}
		</>
	)
})
